Results

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The POST method of the results endpoint is functionally identical to the GET method. For certain use-cases it may be advantageous to make a query from a POST method instead of a GET e.g. when you are using a large number of filters.

You should send data as a JSON string in the POST body with an accompanying 'Content-Type' header of application/json.

For example given this GET request:

curl --header "apikey: [[app:key]]" "https://api.triathlon.org/v1/statistics/results?analysis=minimum&target_property=position&filters=athlete.country%2Ceq%2CJPN%7Cathlete.gender%2Ceq%2Cmale"

The corresponding body of a POST request with a 'Content Type' header of application/json would be:

{
    "analysis": "minimum",
    "target_property": "position",
    "filters": "athlete.country,eq,JPN|athlete.gender,eq,male"
}

See the GET method for a full listing of event properties that you may use in your analysis.

Body Params
string
Defaults to count

What type of analysis to perform

string

The name of the property you are analysing

string

The name of a property by which you would like to group the results

string

A list of filters to narrow down the events used in an analysis request based on event property values

string

A timeframe to narrow down the events used in an analysis request based on the time that the event occurred

string

The length of time block to break a response into

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json